package com.platform.entity;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author abnerhou
 * @date 2020/9/11 20:37
 * @desciption
 */
@Data
@ApiModel(value="WxLiveRoomVo对象", description="微信小程序直播间请求体")
public class WxLiveRoomRequestVo implements Serializable {
    /**
     * name : 测试直播房间1
     * coverImg :
     * startTime : 1588237130
     * endTime : 1588237130
     * anchorName : zefzhang1
     * anchorWechat : WxgQiao_04
     * subAnchorWechat : WxgQiao_03
     * shareImg :
     * feedsImg :
     * isFeedsPublic : 1
     * type : 1
     * screenType : 0
     * closeLike : 0
     * closeGoods : 0
     * closeComment : 0
     * closeReplay : 1
     * closeShare : 0
     * closeKf : 0
     */

    @JSONField(name = "name")
    private String name;
    @JSONField(name = "coverImg")
    private String coverImg;
    @JSONField(name = "startTime")
    private Long startTime;
    @JSONField(name = "endTime")
    private Long endTime;
    @JSONField(name = "anchorName")
    private String anchorName;
    @JSONField(name = "anchorWechat")
    private String anchorWechat;
    @JSONField(name = "subAnchorWechat")
    private String subAnchorWechat;
    @JSONField(name = "shareImg")
    private String shareImg;
    @JSONField(name = "feedsImg")
    private String feedsImg;
    @JSONField(name = "isFeedsPublic")
    private int isFeedsPublic;
    @JSONField(name = "type")
    private int type;
    @JSONField(name = "screenType")
    private int screenType;
    @JSONField(name = "closeLike")
    private int closeLike;
    @JSONField(name = "closeGoods")
    private int closeGoods;
    @JSONField(name = "closeComment")
    private int closeComment;
    @JSONField(name = "closeReplay")
    private int closeReplay;
    @JSONField(name = "closeShare")
    private int closeShare;
    @JSONField(name = "closeKf")
    private int closeKf;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getAnchorWechat() {
        return anchorWechat;
    }

    public void setAnchorWechat(String anchorWechat) {
        this.anchorWechat = anchorWechat;
    }

    public String getSubAnchorWechat() {
        return subAnchorWechat;
    }

    public void setSubAnchorWechat(String subAnchorWechat) {
        this.subAnchorWechat = subAnchorWechat;
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg;
    }

    public String getFeedsImg() {
        return feedsImg;
    }

    public void setFeedsImg(String feedsImg) {
        this.feedsImg = feedsImg;
    }

    public int getIsFeedsPublic() {
        return isFeedsPublic;
    }

    public void setIsFeedsPublic(int isFeedsPublic) {
        this.isFeedsPublic = isFeedsPublic;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getScreenType() {
        return screenType;
    }

    public void setScreenType(int screenType) {
        this.screenType = screenType;
    }

    public int getCloseLike() {
        return closeLike;
    }

    public void setCloseLike(int closeLike) {
        this.closeLike = closeLike;
    }

    public int getCloseGoods() {
        return closeGoods;
    }

    public void setCloseGoods(int closeGoods) {
        this.closeGoods = closeGoods;
    }

    public int getCloseComment() {
        return closeComment;
    }

    public void setCloseComment(int closeComment) {
        this.closeComment = closeComment;
    }

    public int getCloseReplay() {
        return closeReplay;
    }

    public void setCloseReplay(int closeReplay) {
        this.closeReplay = closeReplay;
    }

    public int getCloseShare() {
        return closeShare;
    }

    public void setCloseShare(int closeShare) {
        this.closeShare = closeShare;
    }

    public int getCloseKf() {
        return closeKf;
    }

    public void setCloseKf(int closeKf) {
        this.closeKf = closeKf;
    }


}
